body {
  background-color: #191919;
  font-family: 'Poppins', sans-serif;
  margin: 0;
}

/* ===== HEADER ===== */

.menu {
  position: fixed;
  top: 20px;
  left: 50%;
  transform: translateX(-50%);
  width: fit-content;
  background-color: rgba(29, 29, 29, 0.92);
  backdrop-filter: blur(10px);
  z-index: 1000;
  padding: 14px;
  border-bottom: 2px solid #066CE7;
  border-radius: 50px;
  transition: transform 0.4s cubic-bezier(0.4, 0, 0.2, 1), opacity 0.4s ease;
}

.menu.hidden {
  transform: translateX(-50%) translateY(-120%);
  opacity: 0;
  pointer-events: none;
}

.menu ol {
  list-style: none;
  display: flex;
  justify-content: center;
  gap: 40px;
  margin: 0;
  padding: 0;
}

.menu button {
  background: none;
  border: none;
  color: white;
  font-size: 16px;
  cursor: pointer;
}

.onglet a {
  text-decoration: none;
  color: white;
}

.onglet a:visited {
  color: white;
}

.onglet:hover a {
  color: #066CE7;
}



/* ===== WRAPPER GLOBAL (5%) ===== */

.page-wrapper {
  margin-left: 5%;
  margin-right: 5%;
  padding-bottom: 13%;
  padding-top: 120px;
}

/* ===== HERO ===== */

main {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 60px;
}

h1 {
  font-size: 100px;
  color: #066CE7;
  margin: 0;
}

h2 {
  color: #03628C;
  margin: 0;
}

.btn {
  font-size: 24px;
  margin-top: 20px;
  padding: 10px 20px;
  background: transparent;
  border: 1px solid white;
  color: white;
  cursor: pointer;
  border-radius: 5px;
}

/* ===== IMAGE HERO ===== */

.bloc-image {
  position: relative; /* Important pour que les spans soient positionnés par rapport au bloc */
  border: 3px solid #066CE7;
  padding: 40px;
  display: flex;
  justify-content: center;
  align-items: center;
}

/* Styles pour les petits carrés */
.corner {
  position: absolute;
  width: 15px;
  height: 15px;
  background-color: white;
  border: 3px solid #066CE7;
  box-sizing: border-box; /* pour inclure la bordure dans la taille */
}

/* Coin haut gauche */
.corner-tl {
  top: -8px;
  left: -8px;
}

/* Coin haut droit */
.corner-tr {
  top: -8px;
  right: -8px;
}

/* Coin bas gauche */
.corner-bl {
  bottom: -8px;
  left: -8px;
}

/* Coin bas droit */
.corner-br {
  bottom: -8px;
  right: -8px;
}

/* Image dans le bloc */
.imgMaxence {
  max-height: 350px;
  border-radius: 500px;
  object-fit: cover;
}

/* ===== TIMELINE FULL WIDTH ===== */

.haut-time-line {
  width: 100%;
  display: block;
  margin: 0;
}

/* ===== SECTION AVEC SLIDER ===== */

.page-with-slider {
  display: flex;
  align-items: flex-start;
}

/* Slider 28px */
.slider-left {
  width: 28px;
  height: auto;
}


/* Contenu à droite */
.page-content {
  flex: 1;
  display: flex;
  flex-direction: column;
}

.page-with-slider .slider-left {
    width: 28px;
    height: 3267px;
    object-fit: cover;
    position: relative;
    top: -160px; /* contrôle précis */
    z-index: 5;
}

/* ===== A PROPOS ===== */

.bloc-apropos {
  display: flex;
  justify-content: space-between;
  align-items: center;
  gap: 40px;
  margin-bottom: 80px;
}

.bloc-apropos p {
  color: white;
  line-height: 1.6;
}

/* ===== REALISATIONS ===== */

.bloc-realisations {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 40px;
}

.video-wrapper {
  width: 100%;
  aspect-ratio: 16/9;
  border: 3px solid #066CE7;
}

.video-wrapper iframe {
  width: 100%;
  height: 100%;
  border: none;
}

/* ===== RESPONSIVE ===== */

@media screen and (max-width: 1000px) {
  main {
    flex-direction: column;
  }

  .page-with-slider {
    flex-direction: column;
  }

  .slider-left {
    display: none;
  }

  .bloc-apropos {
    flex-direction: column;
  }

  .bloc-realisations {
    grid-template-columns: 1fr;
  }
}

/* ===== TIMELINE FULL WIDTH ===== */

.timeline-wrapper {
  display: flex;
  align-items: flex-start;
  gap: 20px;
  padding: 20px;
  background-color: #242424;
  border-radius: 8px;
}

/* ==== Labels des tracks ==== */
.track-labels {
  display: flex;
  flex-direction: column;
  gap: 15px;
  width: 120px;
  text-align: right;
  color: white;
  font-weight: bold;
  justify-content: flex-start;
}

.track-label {
  display: flex;
  align-items: center; /* centre verticalement par rapport au track */
  height: 60px; /* même que track */
  border-bottom: 1px solid #333;
}

.Seqtittle{
    display: flex;
  align-items: center; /* centre verticalement par rapport au track */
  height: 60px; /* même que track */
  border-bottom: 1px solid #333;
    font-size: 20px;
    color: #398ff8;
}

/* ==== Tracks ==== */
.track {
  position: relative;
  height: 60px;
  margin-bottom: 10px;
  border-bottom: 1px solid #333;
}

.timeline {
  position: relative;
  width: 3000px;
}


.track {
    position: relative;
    height: 60px; /* au moins la même hauteur que le clip */
    border-bottom: 1px solid #333;
}

.clip {
  position: absolute;
  height: 100%;
  border-radius: 6px;
  padding: 5px 8px;          /* espace interne */
  box-sizing: border-box;    /* évite que le padding casse la largeur */
  font-size: 12px;
  font-weight: 600;
  color: #191919;            /* texte foncé pour contraste */
  display: flex;
  align-items: flex-start;   /* en haut */
  justify-content: flex-start; /* à gauche */
}

.clip-title {
  background: rgba(0,0,0,0.4);
  color: white;
  padding: 2px 6px;
  border-radius: 3px;
  font-size: 11px;
}

.clip:hover {
    filter: brightness(1.2);
}

/* Couleurs */
.red { background: #ff4d4d; }
.blue { background: #002FFF; }
.darkblue{background: #0D00C7;}
.lightblue{background: #03628C;}
.green { background: #4dff88; }
.purple { background: #b84dff; }
.orange { background: #ff944d; }
.cyan { background: #4dffff; }
.pink { background: #ff4da6; }


/* PLAYHEAD */
.playhead {
  position: absolute;
  top: 0;
  width: 2px;
  height: 100%;
  background: white;
  z-index: 10;
  cursor: pointer;
}


/* page portfolio */
/* ===== LAYOUT ===== */
.content {
  display: flex;
  align-items: stretch;
  width: 100%;
  height: 50vh; 
  padding: 10px; /* l’espace autour de l’explorateur */
  box-sizing: border-box;
  gap: 10px; /* espace entre explorateur et programme */
}

.aside {
    flex: 1;
    background-color: #242424;
    display: flex;
    flex-direction: column;
}

.programme {
  flex: 1;
  display: flex;
  padding: 5px;
  background-color: #242424;
  border-radius: 8px;
}


/* ===== PREVIEW PANEL ===== */
.preview-header {
    background-color: #242424;
    display: flex;
    justify-content: flex-start;
    font-size: 15px;
}

.preview-content {
  flex: 6;
  display: flex;
  align-items: center;
  justify-content: center;
  background-color: #1a1a1a;
}

.maxenceimg {
  max-width: 100%;
  max-height: 100%;
  object-fit: contain;
}

/* ==== Timeline container ==== */
.timeline-container {
  padding: 10px;
  border-radius: 99px;
}

/* ===== TIME RULER ===== */

/* ==== Time ruler ==== */
.time-ruler {
  position: relative;
  height: 60px;
  border-bottom: 1px solid #333;
  margin-bottom: 10px;
  border-bottom: 2px solid #47FF6F;
}

.time-marker {
  position: absolute;
  bottom: 0;
  height: 30px;
  border-left: 2px solid #666;
}

.time-marker span {
  position: absolute;
  bottom: 100%;
  left: 50%;
  transform: translateX(-50%);
  margin-bottom: 6px;
  color: #aaa;
  font-size: 12px;
  white-space: nowrap;
}

.timeline-slider {
    width: 100%;
    height: 6px;
    -webkit-appearance: none;
    appearance: none;
    background: #444;
    outline: none;
    border-radius: 3px;
    cursor: pointer;
}

.timeline-slider::-webkit-slider-thumb {
    -webkit-appearance: none;
    appearance: none;
    width: 14px;
    height: 14px;
    background: white;
    cursor: pointer;
    border-radius: 50%;
}

.timeline-slider::-moz-range-thumb {
    width: 14px;
    height: 14px;
    background: white;
    cursor: pointer;
    border-radius: 50%;
    border: none;
}

.timeline-info {
    display: flex;
    justify-content: space-between;
    color: #aaa;
    font-size: 12px;
    margin-top: 5px;
}

/* ===== EXPLORATEUR ===== */

.explorateur {
  width: 30%;
  background: #242424; /* fond interne */
  display: flex;
  flex-direction: column;
  height: 100%;
  box-sizing: border-box;
  border-radius: 8px; /* coins arrondis */
  padding: 10px; /* espace interne à l’explorateur */
}

.explorateur-header {
    display: flex;
    font-size: 15px;
    background-color: #242424;
}

/* ===== ONGLETS ===== */
.onglet {
    padding: 10px 14px;
    cursor: pointer;
    color: white;
}

.onglet-non-clicable {
    padding: 10px 14px;
    cursor: pointer;
    color: white;
}

.onglet-content {
    display: inline-flex;
    align-items: center;
    gap: 20px;
    padding-bottom: 4px;
}

.onglet-non-clicable-content {
    display: inline-flex;
    align-items: center;
    gap: 20px;
    padding-bottom: 4px;
}

.onglet.active .menu-onglet {
    opacity: 1;
}

/* icône */
.menu-onglet {
    width: 1em;
    height: 1em;
    opacity: 0;
    filter: brightness(0) invert(1);
}

/* Afficher l'icône pour l'onglet non-clicable */
.onglet-non-clicable .menu-onglet {
    opacity: 1;
}

/* ===== CONTENU ===== */
.explorateur-body {
  flex: 1;
  overflow-y: auto;
  padding: 10px;
  background-color: #1a1a1a;
}

.tab-content {
    display: none;
    color: white;
}

.tab-content.active {
    display: block;
}
